<?php

namespace App\Repositories;

use App\Models\Artist;

class ArtistRepository extends BaseRepository
{
    public function __construct()
    {

    }

    /**
     * Lấy mảng ID do bên nguồn quản lý đã insert trong tracks
     * @param string $src
     * @return null
     */
    public function getArtistSrcIdInserted($src='all')
    {
        $query = Artist::select(['id', 'source', 'id_zing', 'id_nct', 'id_keeng']);
        if ($src != 'all') {
            $query->where('source', $src);
            switch ($src) {
                case 'zing': return $query->pluck('id_zing')->toArray(); break;
                case 'nct': return $query->pluck('id_nct')->toArray(); break;
                case 'keeng': return $query->pluck('id_keeng')->toArray(); break;
            }
            return null;
        }
        return $query->get();
    }

    public function getArtistThumbnailEmpty()
    {
        $query = Artist::select(['id', 'thumbnail', 'source', 'id_zing', 'id_nct', 'id_keeng', 'src_thumbnail'])->whereNull('thumbnail');
        return $query->get()->toArray();
    }

    public function getArtistCoverEmpty()
    {
        $query = Artist::select(['id', 'cover', 'source', 'id_zing', 'id_nct', 'id_keeng', 'src_cover'])->whereNull('cover');
        return $query->get()->toArray();
    }


}