<?php

return [

    /*
    |--------------------------------------------------------------------------
    | SMS API Connection Name
    |--------------------------------------------------------------------------
    |
    | Here you may specify which of the database connections below you wish
    | to use as your default connection for all database work. Of course
    | you may use many connections at once using the Database library.
    |--------------------------------------------------------------------------
    | nhac.vn:
    | - BXH hiên tại: https://nhac.vn/bang-xep-hang-bai-hat-viet-nam-bxdE
    | - BXH tuần khác: https://nhac.vn/bang-xep-hang-bai-hat-viet-nam-bxdE/tuan-13
    |
    */

    'sms' => [
        'esms' => [
            'api_key' => env('ESMS_API_KEY', 'ESMS_API_KEY'),
            'secret_key' => env('ESMS_SECRET_KEY', 'ESMS_SECRET_KEY')
        ],
    ],

    'weather' => [
        'openweathermap' => [
            'api_key_default' => 'd3cef33ba9791e4609a122642d8494a5',
            'url_weather' => 'https://api.openweathermap.org/data/2.5/weather',
            'url_forecast' => 'https://api.openweathermap.org/data/2.5/weather',
        ]
    ],

    'smart_job' => [
        'location_all' => 2146,
        'jobs_url' => 'https://smartjob.vn/wp-content/themes/SMARTJOB/search_ajax.php',
        'feed_url' => 'https://smartjob.vn/feed/',
    ],

    'thongtindoanhnghiep' => [
        'company' => 'https://thongtindoanhnghiep.co/api/company/'
    ],

    'ahoadon' => [
        'url_price' => 'https://ahoadon.com/bang-gia/',
        'url_template' => 'https://ahoadon.com/mau-hoa-don/'
    ],

    'http_exception' => [
        '403' => [
            'code' => '403',
            'class' => 'AccessDeniedHttpException',
            'message' => 'ACCESS_DENIED_HTTP_EXCEPTION'
        ],
        '400' => [
            'code' => '400',
            'class' => 'BadRequestHttpException',
            'message' => 'BAD_REQUEST_HTTP_EXCEPTION'
        ]
    ],

    'zing' => [
        'domain' => 'https://zingmp3.vn',
        'chart_realtime' => 'https://zingmp3.vn/api/chart-realtime/get-detail?type=song&time=-1&count=100&ctime=1578533534&sig=0d0094bf842afb29153fbf281406eec4d64709de8ca280d540878b264b9ab0119058c9c6c9d0912fd0d02c24c8031da02f8bda9e573480704a7c1c62f3ec49be&api_key=38e8643fb0dc04e8d65b99994d3dafff',
        'playlist' => 'https://zingmp3.vn/api/playlist/get-playlist-detail?id=ZWZB969E&ctime=1584213996&sig=e295c92bed3ce58a29a2fb8c69f9e1934bab807ae6f43c546eeb7ca4242be599171c9566f23296fdc137ee156fd307db4cfa1a4b528e5d99773065ee10c6a603&api_key=38e8643fb0dc04e8d65b99994d3dafff',
        'new_release' => 'https://zingmp3.vn/api/chart/get-chart-new-release?ctime=1584214467&sig=66218d539436572b65c74d0c852550f7c7df0a3128aca9b5be13aa3dcd1d7c0bf49e3af459f75db87e3cc08f60c087684a0c92375ab3a8a784253502bbdf065f&api_key=38e8643fb0dc04e8d65b99994d3dafff',
        'artist' => 'https://zingmp3.vn/api/artist/get-list?id=IWZ9Z08I&type=genre&sort=listen&start=1&count=1000&ctime=1584216597&sig=e2b8e1e48ccd12f560959913a6901fc76c9b93e1cafecba2d3517d8ab57eeb44717aa41eca70338bcf8bc8c84def1c43367ef44c887589db4ed81a1e2c042303&api_key=38e8643fb0dc04e8d65b99994d3dafff',
    ],

    'nct' => [
        'domain' => 'https://www.nhaccuatui.com/',
        'top100' => 'https://www.nhaccuatui.com/top100/top-100-nhac-tre.m3liaiy6vVsF.html',
        'playlist_top100' => 'https://www.nhaccuatui.com/playlist/top-100-nhac-tre-hay-nhat-va.m3liaiy6vVsF.html'
    ],

    'nhac_vn' => [
        'domain' => 'https://nhac.vn/',
        'ranking20' => 'https://nhac.vn/bang-xep-hang-bai-hat-viet-nam-bxdE'
    ],

    'keeng' => [
        'domain' => 'http://keeng.vn/',
        'ranking20' => 'http://keeng.vn/bang-xep-hang/song/viet-nam',
        'api_get_rank' => 'http://vip.service.keeng.vn:8080/KeengWSRestful//ws/common/getRankDetail?item_type=1&rank_type=50'
    ],

    'listen' => [
        'zing' => 'https://mp3.zing.vn/xhr/get-counter?id=ZWB0EF7E&type=audio',
        'nct' => 'https://www.nhaccuatui.com/interaction/api/counter?listSongIds=6238530',
        'nhacvn' => null,
        'keeng' => null
    ],



];
